# ibm_cloud_power

IbmCloudPower - the Ruby gem for the Power Cloud API

IBM Power Cloud API for Power Hardware / Infrastructure

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [https://github.ibm.com/power-iaas](https://github.ibm.com/power-iaas)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build ibm_cloud_power.gemspec
```

Then either install the gem locally:

```shell
gem install ./ibm_cloud_power-1.0.0.gem
```

(for development, run `gem install --dev ./ibm_cloud_power-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'ibm_cloud_power', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'ibm_cloud_power', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'ibm_cloud_power'

api_instance = IbmCloudPower::PCloudCloudConnectionsApi.new
cloud_instance_id = 'cloud_instance_id_example' # String | Cloud Instance ID of a PCloud Instance
cloud_connection_id = 'cloud_connection_id_example' # String | Cloud connection ID

begin
  #Delete a Cloud connection
  result = api_instance.pcloud_cloudconnections_delete(cloud_instance_id, cloud_connection_id)
  p result
rescue IbmCloudPower::ApiError => e
  puts "Exception when calling PCloudCloudConnectionsApi->pcloud_cloudconnections_delete: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*IbmCloudPower::PCloudCloudConnectionsApi* | [**pcloud_cloudconnections_delete**](docs/PCloudCloudConnectionsApi.md#pcloud_cloudconnections_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id} | Delete a Cloud connection
*IbmCloudPower::PCloudCloudConnectionsApi* | [**pcloud_cloudconnections_get**](docs/PCloudCloudConnectionsApi.md#pcloud_cloudconnections_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id} | Get a Cloud connection's state or information
*IbmCloudPower::PCloudCloudConnectionsApi* | [**pcloud_cloudconnections_getall**](docs/PCloudCloudConnectionsApi.md#pcloud_cloudconnections_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections | Get all Cloud connections in a specific cloud instance
*IbmCloudPower::PCloudCloudConnectionsApi* | [**pcloud_cloudconnections_networks_delete**](docs/PCloudCloudConnectionsApi.md#pcloud_cloudconnections_networks_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id}/networks/{network_id} | Delete a network from a Cloud connection
*IbmCloudPower::PCloudCloudConnectionsApi* | [**pcloud_cloudconnections_networks_put**](docs/PCloudCloudConnectionsApi.md#pcloud_cloudconnections_networks_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id}/networks/{network_id} | Add a network to the Cloud connection
*IbmCloudPower::PCloudCloudConnectionsApi* | [**pcloud_cloudconnections_post**](docs/PCloudCloudConnectionsApi.md#pcloud_cloudconnections_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections | Create a new Cloud connection
*IbmCloudPower::PCloudCloudConnectionsApi* | [**pcloud_cloudconnections_put**](docs/PCloudCloudConnectionsApi.md#pcloud_cloudconnections_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id} | Update a Cloud connection
*IbmCloudPower::PCloudCloudConnectionsApi* | [**pcloud_cloudconnections_virtualprivateclouds_getall**](docs/PCloudCloudConnectionsApi.md#pcloud_cloudconnections_virtualprivateclouds_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections-virtual-private-clouds | Get all virtual private clouds in a specific cloud instance
*IbmCloudPower::PCloudEventsApi* | [**pcloud_events_get**](docs/PCloudEventsApi.md#pcloud_events_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/events/{event_id} | Get a single event
*IbmCloudPower::PCloudEventsApi* | [**pcloud_events_getsince**](docs/PCloudEventsApi.md#pcloud_events_getsince) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/events | Get events from this cloud instance since a specific timestamp
*IbmCloudPower::PCloudImagesApi* | [**pcloud_cloudinstances_images_delete**](docs/PCloudImagesApi.md#pcloud_cloudinstances_images_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/images/{image_id} | Delete an image from a cloud instance
*IbmCloudPower::PCloudImagesApi* | [**pcloud_cloudinstances_images_export_post**](docs/PCloudImagesApi.md#pcloud_cloudinstances_images_export_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/images/{image_id}/export | Export an image
*IbmCloudPower::PCloudImagesApi* | [**pcloud_cloudinstances_images_get**](docs/PCloudImagesApi.md#pcloud_cloudinstances_images_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/images/{image_id} | Detailed information of an image
*IbmCloudPower::PCloudImagesApi* | [**pcloud_cloudinstances_images_getall**](docs/PCloudImagesApi.md#pcloud_cloudinstances_images_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/images | List all of the images for this cloud instance
*IbmCloudPower::PCloudImagesApi* | [**pcloud_cloudinstances_images_post**](docs/PCloudImagesApi.md#pcloud_cloudinstances_images_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/images | Create a new image from available images
*IbmCloudPower::PCloudImagesApi* | [**pcloud_cloudinstances_stockimages_get**](docs/PCloudImagesApi.md#pcloud_cloudinstances_stockimages_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/stock-images/{image_id} | Detailed info of an available stock image
*IbmCloudPower::PCloudImagesApi* | [**pcloud_cloudinstances_stockimages_getall**](docs/PCloudImagesApi.md#pcloud_cloudinstances_stockimages_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/stock-images | List all available stock images
*IbmCloudPower::PCloudImagesApi* | [**pcloud_images_get**](docs/PCloudImagesApi.md#pcloud_images_get) | **GET** /pcloud/v1/images/{image_id} | Deprecated for /pcloud/v1/cloud-instances/${CLOUD_INSTANCE_ID}/stock-images/{image_id} - Detailed info of an available stock image
*IbmCloudPower::PCloudImagesApi* | [**pcloud_images_getall**](docs/PCloudImagesApi.md#pcloud_images_getall) | **GET** /pcloud/v1/images | Deprecated for /pcloud/v1/cloud-instances/${CLOUD_INSTANCE_ID}/stock-images - List all available stock images
*IbmCloudPower::PCloudInstancesApi* | [**pcloud_cloudinstances_delete**](docs/PCloudInstancesApi.md#pcloud_cloudinstances_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id} | Delete a Power Cloud instance
*IbmCloudPower::PCloudInstancesApi* | [**pcloud_cloudinstances_get**](docs/PCloudInstancesApi.md#pcloud_cloudinstances_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id} | Get a cloud instance's current state or information
*IbmCloudPower::PCloudInstancesApi* | [**pcloud_cloudinstances_put**](docs/PCloudInstancesApi.md#pcloud_cloudinstances_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id} | Update or upgrade a cloud instance
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_delete**](docs/PCloudNetworksApi.md#pcloud_networks_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id} | Delete a network
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_get**](docs/PCloudNetworksApi.md#pcloud_networks_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id} | Get a network's current state or information
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_getall**](docs/PCloudNetworksApi.md#pcloud_networks_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks | Get all networks in this cloud instance
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_ports_delete**](docs/PCloudNetworksApi.md#pcloud_networks_ports_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/ports/{port_id} | Delete a network port
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_ports_get**](docs/PCloudNetworksApi.md#pcloud_networks_ports_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/ports/{port_id} | Get a port's information
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_ports_getall**](docs/PCloudNetworksApi.md#pcloud_networks_ports_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/ports | Get all ports for this network
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_ports_post**](docs/PCloudNetworksApi.md#pcloud_networks_ports_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/ports | Perform port addition, deletion, and listing
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_ports_put**](docs/PCloudNetworksApi.md#pcloud_networks_ports_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/ports/{port_id} | Update a port's information
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_post**](docs/PCloudNetworksApi.md#pcloud_networks_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks | Create a new network
*IbmCloudPower::PCloudNetworksApi* | [**pcloud_networks_put**](docs/PCloudNetworksApi.md#pcloud_networks_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id} | Update a network
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_action_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_action_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/action | Perform an action (start stop reboot immediate-shutdown reset) on a PVMInstance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_capture_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_capture_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/capture | Capture a PVM instance and create a deployable image
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_clone_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_clone_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/clone | Clone a PVMInstance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_console_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_console_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/console | Generate the noVNC console URL
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_delete**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id} | Delete a PCloud PVM instance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_get**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id} | Get a PVM instance's current state or information
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_getall**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances | Get all the PVM instances for this cloud instance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_networks_delete**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_networks_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/networks/{network_id} | Remove all addresses of network from a PVM instance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_networks_get**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_networks_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/networks/{network_id} | Get a PVM instance's network information
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_networks_getall**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_networks_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/networks | Get all networks for this PVM instance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_networks_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_networks_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/networks | Perform network addition, deletion, and listing
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_operations_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_operations_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/operations | Perform an operation on a PVMInstance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances | Create a new PVM instance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_put**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id} | Update a PCloud PVM instance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_snapshots_getall**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_snapshots_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/snapshots | Get all snapshots for this PVM instance
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_snapshots_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_snapshots_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/snapshots | Create a PVM instance snapshot
*IbmCloudPower::PCloudPVMInstancesApi* | [**pcloud_pvminstances_snapshots_restore_post**](docs/PCloudPVMInstancesApi.md#pcloud_pvminstances_snapshots_restore_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/snapshots/{snapshot_id}/restore | Restore a PVM Instance snapshot
*IbmCloudPower::PCloudPlacementGroupsApi* | [**pcloud_placementgroups_delete**](docs/PCloudPlacementGroupsApi.md#pcloud_placementgroups_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups/{placement_group_id} | Delete server placement group
*IbmCloudPower::PCloudPlacementGroupsApi* | [**pcloud_placementgroups_get**](docs/PCloudPlacementGroupsApi.md#pcloud_placementgroups_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups/{placement_group_id} | Get server placement group details
*IbmCloudPower::PCloudPlacementGroupsApi* | [**pcloud_placementgroups_getall**](docs/PCloudPlacementGroupsApi.md#pcloud_placementgroups_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups | Get all server placement groups
*IbmCloudPower::PCloudPlacementGroupsApi* | [**pcloud_placementgroups_members_delete**](docs/PCloudPlacementGroupsApi.md#pcloud_placementgroups_members_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups/{placement_group_id}/members | Remove server from placement group
*IbmCloudPower::PCloudPlacementGroupsApi* | [**pcloud_placementgroups_members_post**](docs/PCloudPlacementGroupsApi.md#pcloud_placementgroups_members_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups/{placement_group_id}/members | Add server to placement group
*IbmCloudPower::PCloudPlacementGroupsApi* | [**pcloud_placementgroups_post**](docs/PCloudPlacementGroupsApi.md#pcloud_placementgroups_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups | Create a server placement group
*IbmCloudPower::PCloudSAPApi* | [**pcloud_sap_get**](docs/PCloudSAPApi.md#pcloud_sap_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/sap/{sap_profile_id} | Get the information on an SAP profile
*IbmCloudPower::PCloudSAPApi* | [**pcloud_sap_getall**](docs/PCloudSAPApi.md#pcloud_sap_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/sap | Get list of SAP profiles
*IbmCloudPower::PCloudSAPApi* | [**pcloud_sap_post**](docs/PCloudSAPApi.md#pcloud_sap_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/sap | Create a new SAP PVM Instance
*IbmCloudPower::PCloudSnapshotsApi* | [**pcloud_cloudinstances_snapshots_delete**](docs/PCloudSnapshotsApi.md#pcloud_cloudinstances_snapshots_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/snapshots/{snapshot_id} | Delete a PVM instance snapshot of a cloud instance
*IbmCloudPower::PCloudSnapshotsApi* | [**pcloud_cloudinstances_snapshots_get**](docs/PCloudSnapshotsApi.md#pcloud_cloudinstances_snapshots_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/snapshots/{snapshot_id} | Get the detail of a snapshot
*IbmCloudPower::PCloudSnapshotsApi* | [**pcloud_cloudinstances_snapshots_getall**](docs/PCloudSnapshotsApi.md#pcloud_cloudinstances_snapshots_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/snapshots | List all PVM instance snapshots for this cloud instance
*IbmCloudPower::PCloudSnapshotsApi* | [**pcloud_cloudinstances_snapshots_put**](docs/PCloudSnapshotsApi.md#pcloud_cloudinstances_snapshots_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/snapshots/{snapshot_id} | Update a PVM instance snapshot
*IbmCloudPower::PCloudStorageCapacityApi* | [**pcloud_storagecapacity_pools_get**](docs/PCloudStorageCapacityApi.md#pcloud_storagecapacity_pools_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/storage-capacity/storage-pools/{storage_pool_name} | Storage capacity for a storage pool in a region
*IbmCloudPower::PCloudStorageCapacityApi* | [**pcloud_storagecapacity_pools_getall**](docs/PCloudStorageCapacityApi.md#pcloud_storagecapacity_pools_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/storage-capacity/storage-pools | Storage capacity for all available storage pools in a region
*IbmCloudPower::PCloudStorageCapacityApi* | [**pcloud_storagecapacity_types_get**](docs/PCloudStorageCapacityApi.md#pcloud_storagecapacity_types_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/storage-capacity/storage-types/{storage_type_name} | Storage capacity for a storage type in a region
*IbmCloudPower::PCloudStorageCapacityApi* | [**pcloud_storagecapacity_types_getall**](docs/PCloudStorageCapacityApi.md#pcloud_storagecapacity_types_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/storage-capacity/storage-types | Storage capacity for all available storage types in a region
*IbmCloudPower::PCloudSystemPoolsApi* | [**pcloud_systempools_get**](docs/PCloudSystemPoolsApi.md#pcloud_systempools_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/system-pools | List of available system pools within a particular data center
*IbmCloudPower::PCloudTasksApi* | [**pcloud_tasks_delete**](docs/PCloudTasksApi.md#pcloud_tasks_delete) | **DELETE** /pcloud/v1/tasks/{task_id} | Delete a task
*IbmCloudPower::PCloudTasksApi* | [**pcloud_tasks_get**](docs/PCloudTasksApi.md#pcloud_tasks_get) | **GET** /pcloud/v1/tasks/{task_id} | Get a task
*IbmCloudPower::PCloudTenantsApi* | [**pcloud_tenants_get**](docs/PCloudTenantsApi.md#pcloud_tenants_get) | **GET** /pcloud/v1/tenants/{tenant_id} | Get a tenant's current state or information
*IbmCloudPower::PCloudTenantsApi* | [**pcloud_tenants_put**](docs/PCloudTenantsApi.md#pcloud_tenants_put) | **PUT** /pcloud/v1/tenants/{tenant_id} | Update a tenant
*IbmCloudPower::PCloudTenantsSSHKeysApi* | [**pcloud_tenants_sshkeys_delete**](docs/PCloudTenantsSSHKeysApi.md#pcloud_tenants_sshkeys_delete) | **DELETE** /pcloud/v1/tenants/{tenant_id}/sshkeys/{sshkey_name} | Delete a tenant's SSH key
*IbmCloudPower::PCloudTenantsSSHKeysApi* | [**pcloud_tenants_sshkeys_get**](docs/PCloudTenantsSSHKeysApi.md#pcloud_tenants_sshkeys_get) | **GET** /pcloud/v1/tenants/{tenant_id}/sshkeys/{sshkey_name} | Get a tenant's SSH Key by name
*IbmCloudPower::PCloudTenantsSSHKeysApi* | [**pcloud_tenants_sshkeys_getall**](docs/PCloudTenantsSSHKeysApi.md#pcloud_tenants_sshkeys_getall) | **GET** /pcloud/v1/tenants/{tenant_id}/sshkeys | List a tenant's SSH Keys
*IbmCloudPower::PCloudTenantsSSHKeysApi* | [**pcloud_tenants_sshkeys_post**](docs/PCloudTenantsSSHKeysApi.md#pcloud_tenants_sshkeys_post) | **POST** /pcloud/v1/tenants/{tenant_id}/sshkeys | Add a new SSH key to the tenant
*IbmCloudPower::PCloudTenantsSSHKeysApi* | [**pcloud_tenants_sshkeys_put**](docs/PCloudTenantsSSHKeysApi.md#pcloud_tenants_sshkeys_put) | **PUT** /pcloud/v1/tenants/{tenant_id}/sshkeys/{sshkey_name} | Update an SSH Key
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_cloudinstances_volumes_delete**](docs/PCloudVolumesApi.md#pcloud_cloudinstances_volumes_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id} | Delete a cloud instance volume
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_cloudinstances_volumes_get**](docs/PCloudVolumesApi.md#pcloud_cloudinstances_volumes_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id} | Detailed information of a volume
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_cloudinstances_volumes_getall**](docs/PCloudVolumesApi.md#pcloud_cloudinstances_volumes_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/volumes | List all volumes for this cloud instance
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_cloudinstances_volumes_post**](docs/PCloudVolumesApi.md#pcloud_cloudinstances_volumes_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/volumes | Create a new data volume
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_cloudinstances_volumes_put**](docs/PCloudVolumesApi.md#pcloud_cloudinstances_volumes_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id} | Update a cloud instance volume
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_pvminstances_volumes_delete**](docs/PCloudVolumesApi.md#pcloud_pvminstances_volumes_delete) | **DELETE** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id} | Detach a volume from a PVM Instance
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_pvminstances_volumes_get**](docs/PCloudVolumesApi.md#pcloud_pvminstances_volumes_get) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id} | Detailed information of a volume attached to a PVM Instance
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_pvminstances_volumes_getall**](docs/PCloudVolumesApi.md#pcloud_pvminstances_volumes_getall) | **GET** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes | List all volumes attached to a PVM Instance
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_pvminstances_volumes_post**](docs/PCloudVolumesApi.md#pcloud_pvminstances_volumes_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id} | Attach a volume to a PVM Instance
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_pvminstances_volumes_put**](docs/PCloudVolumesApi.md#pcloud_pvminstances_volumes_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id} | Update a volume attached to a PVMInstance
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_pvminstances_volumes_setboot_put**](docs/PCloudVolumesApi.md#pcloud_pvminstances_volumes_setboot_put) | **PUT** /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id}/setboot | Set the PVMInstance volume as the boot volume
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumes_clone_post**](docs/PCloudVolumesApi.md#pcloud_v2_volumes_clone_post) | **POST** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes/clone | Create a volume clone for specified volumes (version 2)
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumes_clonetasks_get**](docs/PCloudVolumesApi.md#pcloud_v2_volumes_clonetasks_get) | **GET** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes/clone-tasks/{clone_task_id} | Get the status of a volume clone request for the specified clone task ID
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumes_post**](docs/PCloudVolumesApi.md#pcloud_v2_volumes_post) | **POST** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes | Create multiple data volumes from a single definition
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumesclone_cancel_post**](docs/PCloudVolumesApi.md#pcloud_v2_volumesclone_cancel_post) | **POST** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/cancel | Cancel a volume-clone request, initiates the Cleanup action. The Cleanup action performs the cleanup of the preparatory clones and snapshot volumes.
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumesclone_delete**](docs/PCloudVolumesApi.md#pcloud_v2_volumesclone_delete) | **DELETE** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id} | Delete a volumes-clone request
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumesclone_execute_post**](docs/PCloudVolumesApi.md#pcloud_v2_volumesclone_execute_post) | **POST** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/execute | Initiate the Execute action for a volumes-clone request. The Execute action creates the cloned volumes using the volume snapshots.
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumesclone_get**](docs/PCloudVolumesApi.md#pcloud_v2_volumesclone_get) | **GET** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id} | Get the details for a volumes-clone request
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumesclone_getall**](docs/PCloudVolumesApi.md#pcloud_v2_volumesclone_getall) | **GET** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone | Get the list of volumes-clone request for a cloud instance
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumesclone_post**](docs/PCloudVolumesApi.md#pcloud_v2_volumesclone_post) | **POST** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone | Create a new volumes clone request and initiate the Prepare action
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_v2_volumesclone_start_post**](docs/PCloudVolumesApi.md#pcloud_v2_volumesclone_start_post) | **POST** /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/start | Initiate the Start action for a volume-clone request. The Start action starts the consistency group to initiate the flash copy.
*IbmCloudPower::PCloudVolumesApi* | [**pcloud_volumes_clone_post**](docs/PCloudVolumesApi.md#pcloud_volumes_clone_post) | **POST** /pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/clone | Create a volume clone for specified volumes (version 1 - depricated)


## Documentation for Models

 - [IbmCloudPower::CloneTaskReference](docs/CloneTaskReference.md)
 - [IbmCloudPower::CloneTaskStatus](docs/CloneTaskStatus.md)
 - [IbmCloudPower::ClonedVolume](docs/ClonedVolume.md)
 - [IbmCloudPower::ClonedVolumeDetail](docs/ClonedVolumeDetail.md)
 - [IbmCloudPower::CloudConnection](docs/CloudConnection.md)
 - [IbmCloudPower::CloudConnectionCreate](docs/CloudConnectionCreate.md)
 - [IbmCloudPower::CloudConnectionEndpointClassic](docs/CloudConnectionEndpointClassic.md)
 - [IbmCloudPower::CloudConnectionEndpointGRE](docs/CloudConnectionEndpointGRE.md)
 - [IbmCloudPower::CloudConnectionEndpointVPC](docs/CloudConnectionEndpointVPC.md)
 - [IbmCloudPower::CloudConnectionGRETunnel](docs/CloudConnectionGRETunnel.md)
 - [IbmCloudPower::CloudConnectionSpeed](docs/CloudConnectionSpeed.md)
 - [IbmCloudPower::CloudConnectionUpdate](docs/CloudConnectionUpdate.md)
 - [IbmCloudPower::CloudConnectionVPC](docs/CloudConnectionVPC.md)
 - [IbmCloudPower::CloudConnectionVirtualPrivateClouds](docs/CloudConnectionVirtualPrivateClouds.md)
 - [IbmCloudPower::CloudConnectionVirtualPrivateCloudsVirtualPrivateClouds](docs/CloudConnectionVirtualPrivateCloudsVirtualPrivateClouds.md)
 - [IbmCloudPower::CloudConnections](docs/CloudConnections.md)
 - [IbmCloudPower::CloudInstance](docs/CloudInstance.md)
 - [IbmCloudPower::CloudInstanceCreate](docs/CloudInstanceCreate.md)
 - [IbmCloudPower::CloudInstanceReference](docs/CloudInstanceReference.md)
 - [IbmCloudPower::CloudInstanceUpdate](docs/CloudInstanceUpdate.md)
 - [IbmCloudPower::CloudInstanceUsageLimits](docs/CloudInstanceUsageLimits.md)
 - [IbmCloudPower::CreateDataVolume](docs/CreateDataVolume.md)
 - [IbmCloudPower::CreateImage](docs/CreateImage.md)
 - [IbmCloudPower::Error](docs/Error.md)
 - [IbmCloudPower::Event](docs/Event.md)
 - [IbmCloudPower::EventUser](docs/EventUser.md)
 - [IbmCloudPower::Events](docs/Events.md)
 - [IbmCloudPower::ExportImage](docs/ExportImage.md)
 - [IbmCloudPower::IPAddressRange](docs/IPAddressRange.md)
 - [IbmCloudPower::Image](docs/Image.md)
 - [IbmCloudPower::ImageReference](docs/ImageReference.md)
 - [IbmCloudPower::ImageSpecifications](docs/ImageSpecifications.md)
 - [IbmCloudPower::ImageVolume](docs/ImageVolume.md)
 - [IbmCloudPower::Images](docs/Images.md)
 - [IbmCloudPower::MaximumStorageAllocation](docs/MaximumStorageAllocation.md)
 - [IbmCloudPower::MinMaxDefault](docs/MinMaxDefault.md)
 - [IbmCloudPower::MultiVolumesCreate](docs/MultiVolumesCreate.md)
 - [IbmCloudPower::Network](docs/Network.md)
 - [IbmCloudPower::NetworkCreate](docs/NetworkCreate.md)
 - [IbmCloudPower::NetworkIpAddressMetrics](docs/NetworkIpAddressMetrics.md)
 - [IbmCloudPower::NetworkPort](docs/NetworkPort.md)
 - [IbmCloudPower::NetworkPortCreate](docs/NetworkPortCreate.md)
 - [IbmCloudPower::NetworkPortPvmInstance](docs/NetworkPortPvmInstance.md)
 - [IbmCloudPower::NetworkPortUpdate](docs/NetworkPortUpdate.md)
 - [IbmCloudPower::NetworkPorts](docs/NetworkPorts.md)
 - [IbmCloudPower::NetworkReference](docs/NetworkReference.md)
 - [IbmCloudPower::NetworkUpdate](docs/NetworkUpdate.md)
 - [IbmCloudPower::Networks](docs/Networks.md)
 - [IbmCloudPower::Operations](docs/Operations.md)
 - [IbmCloudPower::PVMInstance](docs/PVMInstance.md)
 - [IbmCloudPower::PVMInstanceAction](docs/PVMInstanceAction.md)
 - [IbmCloudPower::PVMInstanceAddNetwork](docs/PVMInstanceAddNetwork.md)
 - [IbmCloudPower::PVMInstanceCapture](docs/PVMInstanceCapture.md)
 - [IbmCloudPower::PVMInstanceClone](docs/PVMInstanceClone.md)
 - [IbmCloudPower::PVMInstanceConsole](docs/PVMInstanceConsole.md)
 - [IbmCloudPower::PVMInstanceCreate](docs/PVMInstanceCreate.md)
 - [IbmCloudPower::PVMInstanceFault](docs/PVMInstanceFault.md)
 - [IbmCloudPower::PVMInstanceHealth](docs/PVMInstanceHealth.md)
 - [IbmCloudPower::PVMInstanceMultiCreate](docs/PVMInstanceMultiCreate.md)
 - [IbmCloudPower::PVMInstanceNetwork](docs/PVMInstanceNetwork.md)
 - [IbmCloudPower::PVMInstanceNetworks](docs/PVMInstanceNetworks.md)
 - [IbmCloudPower::PVMInstanceOperation](docs/PVMInstanceOperation.md)
 - [IbmCloudPower::PVMInstanceReference](docs/PVMInstanceReference.md)
 - [IbmCloudPower::PVMInstanceRemoveNetwork](docs/PVMInstanceRemoveNetwork.md)
 - [IbmCloudPower::PVMInstanceUpdate](docs/PVMInstanceUpdate.md)
 - [IbmCloudPower::PVMInstanceUpdateResponse](docs/PVMInstanceUpdateResponse.md)
 - [IbmCloudPower::PVMInstanceVolumeUpdate](docs/PVMInstanceVolumeUpdate.md)
 - [IbmCloudPower::PVMInstances](docs/PVMInstances.md)
 - [IbmCloudPower::PeeringNetwork](docs/PeeringNetwork.md)
 - [IbmCloudPower::PinPolicy](docs/PinPolicy.md)
 - [IbmCloudPower::PlacementGroup](docs/PlacementGroup.md)
 - [IbmCloudPower::PlacementGroupCreate](docs/PlacementGroupCreate.md)
 - [IbmCloudPower::PlacementGroupServer](docs/PlacementGroupServer.md)
 - [IbmCloudPower::PlacementGroups](docs/PlacementGroups.md)
 - [IbmCloudPower::SAPCreate](docs/SAPCreate.md)
 - [IbmCloudPower::SAPProfile](docs/SAPProfile.md)
 - [IbmCloudPower::SAPProfileReference](docs/SAPProfileReference.md)
 - [IbmCloudPower::SAPProfiles](docs/SAPProfiles.md)
 - [IbmCloudPower::SRC](docs/SRC.md)
 - [IbmCloudPower::SSHKey](docs/SSHKey.md)
 - [IbmCloudPower::SSHKeys](docs/SSHKeys.md)
 - [IbmCloudPower::Snapshot](docs/Snapshot.md)
 - [IbmCloudPower::SnapshotCreate](docs/SnapshotCreate.md)
 - [IbmCloudPower::SnapshotCreateResponse](docs/SnapshotCreateResponse.md)
 - [IbmCloudPower::SnapshotRestore](docs/SnapshotRestore.md)
 - [IbmCloudPower::SnapshotUpdate](docs/SnapshotUpdate.md)
 - [IbmCloudPower::Snapshots](docs/Snapshots.md)
 - [IbmCloudPower::SoftwareLicenses](docs/SoftwareLicenses.md)
 - [IbmCloudPower::StockImage](docs/StockImage.md)
 - [IbmCloudPower::StoragePoolCapacity](docs/StoragePoolCapacity.md)
 - [IbmCloudPower::StoragePoolsCapacity](docs/StoragePoolsCapacity.md)
 - [IbmCloudPower::StorageTypeCapacity](docs/StorageTypeCapacity.md)
 - [IbmCloudPower::StorageTypesCapacity](docs/StorageTypesCapacity.md)
 - [IbmCloudPower::System](docs/System.md)
 - [IbmCloudPower::SystemPool](docs/SystemPool.md)
 - [IbmCloudPower::Task](docs/Task.md)
 - [IbmCloudPower::TaskReference](docs/TaskReference.md)
 - [IbmCloudPower::Tenant](docs/Tenant.md)
 - [IbmCloudPower::TenantUpdate](docs/TenantUpdate.md)
 - [IbmCloudPower::UpdateVolume](docs/UpdateVolume.md)
 - [IbmCloudPower::VirtualCores](docs/VirtualCores.md)
 - [IbmCloudPower::Volume](docs/Volume.md)
 - [IbmCloudPower::VolumeInfo](docs/VolumeInfo.md)
 - [IbmCloudPower::VolumeReference](docs/VolumeReference.md)
 - [IbmCloudPower::Volumes](docs/Volumes.md)
 - [IbmCloudPower::VolumesClone](docs/VolumesClone.md)
 - [IbmCloudPower::VolumesCloneAsyncRequest](docs/VolumesCloneAsyncRequest.md)
 - [IbmCloudPower::VolumesCloneCancel](docs/VolumesCloneCancel.md)
 - [IbmCloudPower::VolumesCloneCreate](docs/VolumesCloneCreate.md)
 - [IbmCloudPower::VolumesCloneDetail](docs/VolumesCloneDetail.md)
 - [IbmCloudPower::VolumesCloneExecute](docs/VolumesCloneExecute.md)
 - [IbmCloudPower::VolumesCloneRequest](docs/VolumesCloneRequest.md)
 - [IbmCloudPower::VolumesCloneResponse](docs/VolumesCloneResponse.md)
 - [IbmCloudPower::VolumesClones](docs/VolumesClones.md)


## Documentation for Authorization

 All endpoints do not require authorization.

